Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class ChangeChildPropertyValueRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gmf.runtime.diagram.ui.requests.ChangePropertyValueRequest
              org.eclipse.gmf.runtime.diagram.ui.requests.ChangeChildPropertyValueRequest

public class ChangeChildPropertyValueRequest
extends ChangePropertyValueRequest

Constructor Summary
`ChangeChildPropertyValueRequest(java.lang.String propertyName, java.lang.String propertyID, java.lang.Object value, java.lang.String chldSemanticHint)` Constructor for ChangeChildPropertyValueRequest
`ChangeChildPropertyValueRequest(java.lang.String propertyName, java.lang.String propertyID, java.lang.String chldSemanticHint)` Constructor for ChangeChildPropertyValueRequest

Method Summary
`java.lang.String` `getNotationViewType()` getter for the notation view type

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.requests.ChangePropertyValueRequest
`getPropertyID, getPropertyName, getValue, setValue`

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeChildPropertyValueRequest

    public ChangeChildPropertyValueRequest(java.lang.String propertyName,
                                           java.lang.String propertyID,
                                           java.lang.String chldSemanticHint)

  Constructor for ChangeChildPropertyValueRequest

Parameters:
  `propertyName` - The name of the property
  `propertyID` - String value representing the property ID to change

### ChangeChildPropertyValueRequest

    public ChangeChildPropertyValueRequest(java.lang.String propertyName,
                                           java.lang.String propertyID,
                                           java.lang.Object value,
                                           java.lang.String chldSemanticHint)

  Constructor for ChangeChildPropertyValueRequest

Parameters:
  `propertyName` - The name of the property
  `propertyID` - String value representing the property ID to change
  `value` - Object which is to be the new value of the property

Method Detail

### getNotationViewType

    public java.lang.String getNotationViewType()

  getter for the notation view type

  Returns:
    the notation view type associated with this request

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.